UM .NET API 6.17.1

- Main Page
- Related Pages
- Packages
- Classes

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Properties | List of all members
com.latencybusters.pdm.PDMTimestamp Class Reference

A representation of a PDMTimestamp with the number of seconds and microseconds since the epoch. More...

## Public Member Functions
| PDMTimestamp (int seconds, int microseconds)
| A representation of a PDMTimestamp with the number of seconds and microseconds since the epoch. More...
override System.String | ToString ()
| concatenates the seconds and microseconds into a string More...

## Properties
virtual int | Seconds`[get]`
| Gets the int Seconds property. More...
virtual int | Microseconds`[get]`
| Gets the int Microseconds property. More...

## Detailed Description

A representation of a PDMTimestamp with the number of seconds and microseconds since the epoch.

## Constructor & Destructor Documentation

com.latencybusters.pdm.PDMTimestamp.PDMTimestamp | ( | int | seconds,
|  | int | microseconds
| ) |  |

A representation of a PDMTimestamp with the number of seconds and microseconds since the epoch.

Parameters

  seconds | Number of seconds/microseconds since the epoch
  microseconds | Number of seconds/microseconds since the epoch

## Member Function Documentation

override System.String com.latencybusters.pdm.PDMTimestamp.ToString | ( |  | ) |

concatenates the seconds and microseconds into a string

Returns
  the String representing this PDMTimestamp

## Property Documentation

virtual int com.latencybusters.pdm.PDMTimestamp.Microseconds
| get

Gets the int Microseconds property.

Values: the int representing microseconds

Referenced by com.latencybusters.pdm.PDMSerializer.writeTimestamp().

virtual int com.latencybusters.pdm.PDMTimestamp.Seconds
| get

Gets the int Seconds property.

Values: the int representing total seconds

Referenced by com.latencybusters.pdm.PDMSerializer.writeTimestamp().

The documentation for this class was generated from the following file:

- PDMTimestamp.cs